import 'package:flyinsono/js_platform/methods.dart';
import 'package:flyinsono/rpc.dart';

import 'base.dart';

class AudioToTextHandler extends MethodHandlerBase {
  AudioToTextHandler() : super(TargetMethodName.AudioToText);

  @override
  Future<void> execute(List<String> args) async {
    var name = args[0];
    var base64 = args[1];
    var result = await rpc.storage.uploadBase64File(base64, name);
    print(result);
  }
}
